API DocumentationPayments

Accept an offline payment obligation

POST
/api/manufacturer/v1/order/{orderId}/payment/confirm

Converts a quote to an accepted order without marking its payment as paid

Authorization

Phasio API Bearer Token
AuthorizationBearer <token>

In: header

Path Parameters

orderId*integer

ID of the order to confirm payment for

Query Parameters

purchaseOrderNumber?string

Purchase order number

message?string

Message

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

text/plain

text/plain

application/json

curl -X POST "https://example.com/api/manufacturer/v1/order/1/payment/confirm" \  -H "Content-Type: application/json" \  -d '{}'
Empty
Empty
{  "error": "ORDER_NOT_FOUND",  "message": "Order not found"}